Bug 167640 - kernel BUG at include/asm/spinlock.h
kernel BUG at include/asm/spinlock.h
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-06 11:10 EDT by Ben Stringer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-11 22:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Extract from /var/log/messages showing logged bug occurrence (3.92 KB, text/plain)
2005-09-06 11:10 EDT, Ben Stringer
no flags Details

  None (edit)
Description Ben Stringer 2005-09-06 11:10:02 EDT
Created attachment 118511 [details]
Extract from /var/log/messages showing logged bug occurrence
Comment 1 Ben Stringer 2005-09-06 11:10:02 EDT
Description of problem:
After 1-4 days of operation, some commands start to fail, and the following
message is logged:

Sep  7 00:55:52 pohl kernel: kernel BUG at include/asm/spinlock.h:136!
Sep  7 00:55:52 pohl kernel: invalid operand: 0000 [#15]
(full log to be attached).

Version-Release number of selected component (if applicable):
kernel 2.6.12-1.1398_FC4smp

How reproducible:
Once it begins to occur, it happens quite often. If a particular command fails
(eg. more), it will continue to fail, with the exception of "bash", which is
sometimes logged as the failing process when some other process (eg. rlog) failed.

Steps to Reproduce:
1. Reboot system
2. Leave for 1-3 days
3. Check /var/log/messages or dmesg for evidence of occurrence
Actual results:
Many commands either hang or produce a segmentation fault.

Expected results:
Commands run without kernel bug error.

Additional info:
Will try on latest errata kernel also. Hardware is Intel P4 3Ghz, hyperthreading.
Comment 2 Ben Stringer 2005-09-11 22:51:23 EDT
The PC in question was memtested, and some memory issues were found. After
changing the memory, the PC has run for 6 days without incident. 

Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.